Package: org.gradle.api

## [Java] Enum PathValidation

- org.gradle.api.PathValidation

- An enumeration for describing validation policies for file paths.

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `DIRECTORY` |
    `EXISTS` |
    `FILE` |
    `NONE` |

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Enum` | `name, equals, toString, hashCode, compareTo, compareTo, valueOf, getDeclaringClass, ordinal, wait, wait, wait, getClass, notify, notifyAll`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Enum Constant Detail

    - #### PathValidation DIRECTORY

    - #### PathValidation EXISTS

    - #### PathValidation FILE

    - #### PathValidation NONE